Package de.willuhn.jameica.hbci.io

# Class AbstractSepaImporter

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractImporter
de.willuhn.jameica.hbci.io.AbstractSepaImporter

All Implemented Interfaces:
  `Importer`, `IO`

Direct Known Subclasses:
  `SepaLastschriftImporter`, `SepaSammelLastschriftImporter`, `SepaSammelUeberweisungImporter`, `SepaUeberweisungImporter`

public abstract class AbstractSepaImporter extends AbstractImporter
Abstrakte Basis-Klasse fuer SEPA-Import.

## Constructor Summary

Constructors
Constructor
Description
`AbstractSepaImporter()`

## Method Summary

Modifier and Type
Method
Description
`protected Konto`
`findKonto(String iban)`
Sucht nach dem Konto mit der angegebenen IBAN.
`String`
`getName()`
Liefert einen sprechenden Namen des Exporters/Importers.
`protected double`
`parseValue(String s)`
Versucht den Text als Double zu parsen.

### Methods inherited from class de.willuhn.jameica.hbci.io.AbstractImporter

`doImport, getIOFormats`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSepaImporter

public AbstractSepaImporter()

## Method Details

### getName

public String getName()
Description copied from interface: `IO`
Liefert einen sprechenden Namen des Exporters/Importers. Z.Bsp. "Swift MT-940 Format".

Returns:
  Name

### findKonto

protected Konto findKonto(String iban) throws RemoteException, de.willuhn.util.ApplicationException
Sucht nach dem Konto mit der angegebenen IBAN.

Parameters:
  `iban` -
Returns:
  das gefundene Konto oder wenn es nicht gefunden wurde, dann das vom Benutzer ausgewaehlte. Die Funktion liefert nie `null` sondern wirft eine ApplicationException, wenn kein Konto ausgewaehlt wurde.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
  `de.willuhn.jameica.system.OperationCanceledException`

### parseValue

protected double parseValue(String s)
Versucht den Text als Double zu parsen.

Parameters:
  `s` - der Text.
Returns:
  das geparste Double oder NaN, wenn es nicht zu parsen ist.